GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtEdge Class Reference
Control Flow Inspection

Class that represents an edge between basic blocks of the Control Flow Graph. More...

`#include <igt_cfg.h>`

## Public Member Functions
virtual const IGtBbl & | SrcBbl () const =0
| Return source BBL of this edge.
virtual const IGtBbl & | DstBbl () const =0
| Return destination BBL of this edge.
virtual bool | IsFallThrough () const =0
| Return true for the fallthrough edge.

## Detailed Description

Class that represents an edge between basic blocks of the Control Flow Graph.

Availability:
  - IGtTool::OnKernelBuild

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT